## gcc-5-cross-ports 0

=== debian/changelog ===
gcc-5-cross-ports (0) unstable; urgency=medium

  * Build cross compilers for some ports.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Nov 2015 20:56:07 +0100

gcc-5-cross (14) unstable; urgency=medium

  * Build using 5.2.1-24.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Nov 2015 17:08:27 +0100

gcc-5-cross (13) unstable; urgency=medium

  * Build using 5.2.1-23.
  * Fix build dependency on gnat-5.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2015 23:26:28 +0100

gcc-5-cross (12) unstable; urgency=medium

  * Build using 5.2.1-22.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 14:30:25 +0200

gcc-5-cross (11) unstable; urgency=medium

  * Build using 5.2.1-20.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2015 12:34:03 +0200

gcc-5-cross (10) unstable; urgency=medium

  * Build using 5.2.1-19.
  * Build gnat cross compiler (YunQiang Su). Closes: #798860.
  * Build cross compilers on x32.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Oct 2015 08:53:26 +0200

gcc-5-cross (9) unstable; urgency=medium

  * Build using 5.2.1-16.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Sep 2015 22:23:10 +0200

gcc-5-cross (8) unstable; urgency=medium

  * Build using 5.2.1-13.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 23:36:07 +0200

gcc-5-cross (7) unstable; urgency=medium

  * Build using 5.1.1-13.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2015 21:42:45 +0200

gcc-5-cross (6) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using 5.1.1-11.
  * Keep -cross packages installable when versions mismatch.

  [ YunQiang Su ]
  * Add support to build packages for mips, mipsel, mips64, mips64el.
    Building packages for mips64, mips64el disabled by default.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2015 23:56:16 +0200

gcc-5-cross (5) unstable; urgency=medium

  * Build using 5.1.1-8.

 -- Matthias Klose <doko@debian.org>  Wed, 27 May 2015 20:22:50 +0200

gcc-5-cross (4) unstable; urgency=medium

  * Build using 5.1.1-6.
  * Keep ARM32 multilib packages in the control file when requested.
  * Fix generating the cross version on AArch64.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2015 18:15:45 +0200

gcc-5-cross (3) unstable; urgency=medium

  * Build cross compiler packages for GCC 5.
  * Build the exact same compiler without dropping any patches from
    the native build.
  * Build for any frontend that is currently built as a native compiler.
    Leaving out gnat as a work item.
  * Build packages that can be built on the buildds.
  * Initial upload. Closes: #784079.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2015 22:17:42 +0200

gcc-4.9-powerpc-cross (0.9) vivid; urgency=medium

  * Build for 4.9.2-10ubuntu10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 20:16:29 +0100

gcc-4.9-powerpc-cross (0.8) vivid; urgency=medium

  * Build using 4.9.2-10ubuntu5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2015 13:09:43 +0100

gcc-4.9-powerpc-cross (0.7) vivid; urgency=medium

  * Fix typo in cross_mangle_shlibs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Dec 2014 09:08:17 +0100

gcc-4.9-powerpc-cross (0.6) vivid; urgency=medium

  * Fix build of empty sanitizer packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Dec 2014 09:08:07 +0100

gcc-4.9-powerpc-cross (0.5) vivid; urgency=medium

  * Build using ISL 0.14.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2014 11:30:04 +0100

gcc-4.9-powerpc-cross (0.4) utopic; urgency=medium

  * Build-depend on gcc-4.9-source (>= 4.9.1-16ubuntu6).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 16:09:59 +0200

gcc-4.9-powerpc-cross (0.3) utopic; urgency=medium

  * Build for GCC 4.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2014 16:21:11 +0200

gcc-4.9-powerpc-cross (0.2) utopic; urgency=medium

  * Update the libgo soname for GCC 4.9.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 14:45:57 +0200

gcc-4.9-powerpc-cross (0.1) utopic; urgency=medium

  * Build for GCC 4.9.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 12:14:03 +0200

gcc-4.8-powerpc-cross (0.11) trusty; urgency=medium

  * Build-depend on gcc-4.8-source (>= 4.8.1-16).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 07:04:34 +0100

gcc-4.8-powerpc-cross (0.10) trusty; urgency=medium

  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 14:25:46 +0100

gcc-4.8-powerpc-cross (0.9) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-10).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2013 20:11:40 +0200

gcc-4.8-powerpc-cross (0.7) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-7).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2013 11:43:06 +0200

gcc-4.8-powerpc-cross (0.6) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-6).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2013 09:41:38 +0200

gcc-4.8-powerpc-cross (0.5) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-5).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2013 17:12:23 +0200

gcc-4.8-powerpc-cross (0.4) saucy; urgency=low

  * Build gcj-4.8 and gdc-4.8 cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 18:13:19 +0200

gcc-4.8-powerpc-cross (0.3) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-2).
  * Don't build D and Java cross compilers.
  * Don't build the Go cross compiler on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Jun 2013 14:49:17 +0200

gcc-4.8-powerpc-cross (0.2) raring; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.0-2).
  * Add new runtime libs to the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2013 12:29:26 +0200

gcc-4.7-armhf-cross (1.80) raring; urgency=low

  * Update to SVN 20130214 (r196053) from the gcc-4_7-branch.
  * Update the Linaro support to the 4.7-2013.02 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 06:06:10 +0100

gcc-4.7-armhf-cross (1.79) raring; urgency=low

