=== debian/control ===
Source: gcc-5-cross-ports
Section: devel
Priority: extra
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.9.6
Build-Depends: gcc-5-source (>= 5.2.1-25~), binutils-multiarch (>= 2.25.1),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-alpha-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-hppa-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-m68k-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-powerpc64-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-sparc64-linux-gnu (>= 2.25.1) [amd64 i386 x32],
  libc6.1-dev-alpha-cross (>= 2.19) [amd64 i386 x32], libc6-dev-hppa-cross (>= 2.19) [amd64 i386 x32], libc6-dev-m68k-cross (>= 2.19) [amd64 i386 x32], libc6-dev-ppc64-cross (>= 2.19) [amd64 i386 x32], libc6-dev-sparc64-cross (>= 2.19) [amd64 i386 x32], libc6-dev-powerpc-ppc64-cross [amd64 i386 x32], libc6-dev-sparc-sparc64-cross [amd64 i386 x32],
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  gcj-5-jdk,
  gccgo-5,
  gnat-5 [!m32r !sh3 !sh3eb !sh4 !sh4eb !m68k !powerpcspe !sparc64 !x32],
  xz-utils, zlib1g-dev, python3
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/

Package: gcc-5-cross-base-ports
Architecture: all
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-5-alpha-linux-gnu-base
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1-alpha-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-alpha-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for alpha architecture, for use in cross-compile
 environment.

Package: libgcc-5-dev-alpha-cross
Architecture: all
Section: libdevel
Priority: extra
Recommends: ${dep:libcdev}
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libcilkrts}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-5 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), cpp-5-alpha-linux-gnu (= ${gcc:Version}), binutils-alpha-linux-gnu (>= ${binutils:Version}), libgcc-5-dev-alpha-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), gcc-5-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-alpha-cross, libgomp1-dbg-alpha-cross, libitm1-dbg-alpha-cross, libatomic1-dbg-alpha-cross, libtsan0-dbg-alpha-cross, libbacktrace1-dbg-alpha-cross, libquadmath-dbg-alpha-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-alpha-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for alpha architecture.

Package: cpp-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-5-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for alpha architecture.

Package: g++-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), gcc-5-alpha-linux-gnu (= ${gcc:Version}), libstdc++-5-dev-alpha-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-alpha-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), libstdc++6-5-dbg-alpha-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for alpha architecture.

Package: libgomp1-alpha-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libatomic1-alpha-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: support library providing __atomic built-in functions
 library providing __atomic built-in functions. When an atomic call cannot
 be turned into lock-free instructions, GCC will make calls into this library.

Package: gobjc++-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), gobjc-5-alpha-linux-gnu (= ${gcc:Version}), g++-5-alpha-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-5-dev-alpha-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjcxx:multilib}, gcc-5-doc (>= ${gcc:SoftVersion})
Provides: objc++-compiler-alpha-linux-gnu
Description: GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: gobjc-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), gcc-5-alpha-linux-gnu (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc-5-dev-alpha-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjc:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), libobjc4-dbg-alpha-cross
Provides: objc-compiler-alpha-linux-gnu
Description: GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc4-alpha-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: libobjc-5-dev-alpha-cross
Architecture: all
Section: libdevel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), libgcc-5-dev-alpha-cross (= ${gcc:Version}), libobjc4-alpha-cross (>= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: gobjc-5 (<< ${gcc:SplitVersion})
Description: Runtime library for GNU Objective-C applications (development files)
 This package contains the headers and static library files needed to build
 GNU ObjC applications.

Package: gfortran-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), gcc-5-alpha-linux-gnu (= ${gcc:Version}), libgfortran-5-dev-alpha-cross (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Provides: fortran95-compiler
Suggests: ${gfortran:multilib}, gfortran-5-doc, libgfortran3-dbg-alpha-cross
Description: GNU Fortran compiler
 This is the GNU Fortran compiler, which compiles
 Fortran on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libgfortran3-alpha-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Fortran applications
 Library needed for GNU Fortran applications linked against the
 shared library.

Package: libgfortran-5-dev-alpha-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), libgfortran3-alpha-cross, ${shlibs:Depends}, ${misc:Depends}
Replaces: gfortran-5 (<< ${gcc:SplitVersion})
Breaks: gfortran-5 (<< ${gcc:SplitVersion})
Description: Runtime library for GNU Fortran applications (development files)
 This package contains the headers and static library files needed to build
 GNU Fortran applications.

Package: gccgo-5-alpha-linux-gnu
Architecture: amd64 i386 x32
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), gcc-5-alpha-linux-gnu (= ${gcc:Version}), libgo7-alpha-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Provides: go-compiler
Suggests: ${go:multilib}, gccgo-5-doc, libgo7-dbg-alpha-cross
Description: GNU Go compiler
 This is the GNU Go compiler, which compiles Go on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.

Package: libgo7-alpha-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Go applications
 Library needed for GNU Go applications linked against the
 shared library.

Package: libstdc++6-alpha-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), ${dep:libc}, ${shlibs:Depends}, ${misc:Depends}
Provides: libstdc++6-alpha-dcv1
Conflicts: scim (<< 1.4.2-1)
Description: GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.
 .
 This package contains files for alpha architecture, for use in cross-compile
 environment.

Package: libstdc++-5-dev-alpha-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), libgcc-5-dev-alpha-cross (= ${gcc:Version}), libstdc++6-alpha-cross (>= ${gcc:Version}), ${dep:libcdev}, ${misc:Depends}
Provides: libstdc++-dev-alpha-cross, libstdc++-dev-alpha-dcv1, libstdc++6-dev-alpha-dcv1
Description: GNU Standard C++ Library v3 (development files)
 This package contains the headers and static library files necessary for
 building C++ programs which use libstdc++.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.
 .
 This package contains files for alpha architecture, for use in cross-compile
 environment.

Package: libstdc++-5-pic-alpha-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-alpha-linux-gnu-base (= ${gcc:Version}), libstdc++6-alpha-cross (>= ${gcc:Version}), libstdc++6-5-dev-alpha-cross (= ${gcc:Version}), ${misc:Depends}
Provides: libstdc++-pic-alpha-dcv1
