## gcc-5-cross-ports 7ubuntu2

=== debian/changelog ===
gcc-5-cross-ports (7ubuntu2) xenial; urgency=medium

  * Relax dependency on glibc.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 16:11:21 +0100

gcc-5-cross-ports (7ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build the sanitizers for sparc64, Ubuntu's glibc was never
      merged with the Debian version and is lacking many patches.
  * Build using 5.3.1-8ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:54:40 +0100

gcc-5-cross-ports (7) unstable; urgency=medium

  * Build using 5.3.1-8.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Feb 2016 09:43:42 +0100

gcc-5-cross-ports (6) unstable; urgency=medium

  * Build using 5.3.1-7.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Jan 2016 13:19:41 +0100

gcc-5-cross-ports (5ubuntu2) xenial; urgency=medium

  * Don't build the sanitizers for sparc64, Ubuntu's glibc was never
    merged with the Debian version and is lacking many patches.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 04 Jan 2016 15:06:34 +0100

gcc-5-cross-ports (5ubuntu1) xenial; urgency=medium

  * Build using 5.3.1-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2016 11:44:45 +0100

gcc-5-cross-ports (5) unstable; urgency=medium

  * Build using 5.3.1-5.
  * Build for all ports again. Closes: #809500.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jan 2016 18:46:10 +0100

gcc-5-cross-ports (4) unstable; urgency=medium

  * Build using 5.3.1-4.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Dec 2015 21:42:37 +0100

gcc-5-cross-ports (3) unstable; urgency=medium

  * Build using 5.3.1-2.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2015 20:51:59 +0100

gcc-5-cross-ports (2ubuntu1) xenial; urgency=medium

  * Build packages for mips, not yet mipsel (ftbfs).
  * Don't build packages for alpha, hppa, mipsel, mips64, mips64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Dec 2015 00:44:33 +0100

gcc-5-cross-ports (2) unstable; urgency=medium

  * Build using 5.2.1-27.
  * Build gnat on m68k and sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Nov 2015 23:48:58 +0100

gcc-5-cross-ports (1) unstable; urgency=medium

  * Build using 5.2.1-26.
  * Enable builds for mips64, mips64el and sh4.
  * Build gccgo on sparc64.
  * Build gnat on sh4.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Nov 2015 21:23:23 +0100
