=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 $(space) := 
 $(space) +=
 
+NJOBS =
+# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
+ifneq (,$(filter parallel=%,$(subst $(,), ,$(DEB_BUILD_OPTIONS))))
+  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(,),$(space),$(DEB_BUILD_OPTIONS))))
+endif
+
 vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; else echo Debian; fi)
 
 GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')
@@ -21,8 +27,8 @@
 endif
 
 ifeq ($(GCC_VER),5)
-  MIN_VER_GCC      := 5.2.1-25~
-  PPA_VER_GCC      := 5.2.1
+  MIN_VER_GCC      := 5.3.1-8~
+  PPA_VER_GCC      := 5.3.1
 endif
 
 ifndef MIN_VER_GCC
@@ -31,15 +37,15 @@
 
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
-DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh)
+DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-5-cross),powerpc,ppc64))
 CROSS_EXT       := cross$(DEB_VER_ACT)
 
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
-VER_BINUTILS   := 2.25.1
-MIN_VER_BINUTILS   := 2.25.1
+VER_BINUTILS   := 2.25.90
+MIN_VER_BINUTILS   := 2.25.90
 VER_ISL      := 0.14-1~
-MIN_VER_GLIBC   := 2.19
+MIN_VER_GLIBC   := 2.21
 
 DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
@@ -70,27 +76,24 @@
 stamp            := stamp-dir/
 
 ifeq ($(DEB_NAME_ACT),gcc-5-cross)
-  CROSS_ARCHES  ?= s390x ppc64el powerpc arm64 armhf armel \
+  CROSS_ARCHS  ?= s390x ppc64el powerpc arm64 armhf armel \
 			$(if $(filter $(vendor), Ubuntu),, mips mipsel)
   GCC_PORTS_BUILD=
 else
-  CROSS_ARCHES  ?= alpha hppa m68k ppc64 sparc64 \
-			$(if $(filter $(vendor), Ubuntu), mips mipsel)
-			# powerpcspe, outdated, ftbfs
-			# sh4, ftbfs, tries to build nofpu multilib
-			# mips64 mips64el, ftbfs, gnat ICE
+  CROSS_ARCHS  ?= m68k ppc64 sh4 sparc64 \
+			$(if $(filter $(vendor), Ubuntu), mips)
+  #CROSS_ARCHS  ?= alpha hppa m68k mips64el mips64 ppc64 sh4 sparc64 \
+  #			$(if $(filter $(vendor), Ubuntu), mips mipsel)
+  # powerpcspe, outdated, ftbfs
   GCC_PORTS_BUILD=-ports
 endif
 
-#CROSS_ARCHES     ?= s390x ppc64el powerpc arm64 armhf armel mips mipsel # mips64 mips64el
-#CROSS_ARCHES     ?= arm64 armhf armel mips mipsel s390x ppc64el powerpc # mips64 mips64el
-CROSS_ARCHES     ?= alpha hppa m68k ppc64 sparc64 mips64 mips64el # sh4
 ifeq ($(HOST_ARCH),arm64)
-  CROSS_ARCHES = armel armhf
+  CROSS_ARCHS = armel armhf
 else ifeq ($(HOST_ARCH),ppc64)
-  CROSS_ARCHES = ppc64el
+  CROSS_ARCHS = ppc64el
 else ifeq ($(HOST_ARCH),ppc64el)
-  CROSS_ARCHES = powerpc
+  CROSS_ARCHS = powerpc
 endif
 CROSS_ARCH       = $(subst .,,$(suffix $@))
 KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
@@ -112,57 +115,57 @@
 libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-powerpc-cross | awk '/^Source:/ { print $$2 }')
 #ifneq ($(DEB_NAME_ACT),$(libgcc_source))
 #  skip_common_packages = yes
-#  GCC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),libgcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))
+#  GCC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libgcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))
 #endif
 
-BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
-GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
+BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
+GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
 
 # build multilib cross compilers
 ifeq ($(ARM32_MULTILIBS),yes)
-  ifneq (,$(filter armel, $(CROSS_ARCHES)))
+  ifneq (,$(filter armel, $(CROSS_ARCHS)))
     EXTRA_BUILD_DEPS += libc6-dev-armhf-cross [$(HOST_ARCHS_armel)],
     ifeq ($(skip_common_packages),yes)
       GCC_BUILD_DEPS += libhfgcc1-armel-cross [$(HOST_ARCHS_armel)],
     endif
   endif
 
-  ifneq (,$(filter armhf, $(CROSS_ARCHES)))
+  ifneq (,$(filter armhf, $(CROSS_ARCHS)))
     ifeq ($(skip_common_packages),yes)
       GCC_BUILD_DEPS += libsfgcc1-armhf-cross [$(HOST_ARCHS_armhf)],
     endif
   endif
 endif
 
-ifneq (,$(filter ppc64, $(CROSS_ARCHES)))
+ifneq (,$(filter ppc64, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-powerpc-ppc64-cross [$(HOST_ARCHS_ppc64)],
   ifeq ($(skip_common_packages),yes)
     GCC_BUILD_DEPS += lib32gcc1-ppc64-cross [$(HOST_ARCHS_ppc64)],
   endif
 endif
 
-ifneq (,$(filter s390x, $(CROSS_ARCHES)))
+ifneq (,$(filter s390x, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-s390-s390x-cross [$(HOST_ARCHS_s390x)],
   ifeq ($(skip_common_packages),yes)
     GCC_BUILD_DEPS += lib32gcc1-s390x-cross [$(HOST_ARCHS_s390x)],
   endif
 endif
 
-ifneq (,$(filter sparc64, $(CROSS_ARCHES)))
+ifneq (,$(filter sparc64, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-sparc-sparc64-cross [$(HOST_ARCHS_sparc64)],
   ifeq ($(skip_common_packages),yes)
     GCC_BUILD_DEPS += lib32gcc1-sparc64-cross [$(HOST_ARCHS_sparc64)],
   endif
 endif
 
-ifneq (,$(filter powerpc, $(CROSS_ARCHES)))
+ifneq (,$(filter powerpc, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-ppc64-powerpc-cross [$(HOST_ARCHS_powerpc)],
   ifeq ($(skip_common_packages),yes)
     GCC_BUILD_DEPS += lib64gcc1-powerpc-cross [$(HOST_ARCHS_powerpc)],
   endif
 endif
 
-ifneq (,$(filter mips, $(CROSS_ARCHES)))
+ifneq (,$(filter mips, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-mips64-mips-cross [$(HOST_ARCHS_mips)],
   EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips-cross [$(HOST_ARCHS_mips)],
   ifeq ($(skip_common_packages),yes)
@@ -171,7 +174,7 @@
   endif
 endif
 
-ifneq (,$(filter mipsel, $(CROSS_ARCHES)))
+ifneq (,$(filter mipsel, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-mips64-mipsel-cross [$(HOST_ARCHS_mipsel)],
   EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mipsel-cross [$(HOST_ARCHS_mipsel)],
   ifeq ($(skip_common_packages),yes)
@@ -180,7 +183,7 @@
   endif
 endif
 
-ifneq (,$(filter mips64, $(CROSS_ARCHES)))
+ifneq (,$(filter mips64, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-mips32-mips64-cross [$(HOST_ARCHS_mips64)],
   EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips64-cross [$(HOST_ARCHS_mips64)],
   ifeq ($(skip_common_packages),yes)
@@ -189,7 +192,7 @@
   endif
 endif
 
-ifneq (,$(filter mips64el, $(CROSS_ARCHES)))
+ifneq (,$(filter mips64el, $(CROSS_ARCHS)))
   EXTRA_BUILD_DEPS += libc6-dev-mips32-mips64el-cross [$(HOST_ARCHS_mips64el)],
   EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips64el-cross [$(HOST_ARCHS_mips64el)],
   ifeq ($(skip_common_packages),yes)
